For the complete documentation index, see llms.txt. This page is also available as Markdown.

List suggested WordPress plugins

List curated plugin suggestions grouped by website type. Use the returned slug values with POST /api/hosting/v1/accounts/{username}/wordpress/{software}/plugins/install.

List suggested WordPress plugins

get

List curated plugin suggestions grouped by website type.

Use the returned slug values with POST /api/hosting/v1/accounts/{username}/wordpress/{software}/plugins/install.

Authorizations
AuthorizationstringRequired

API Token authentication

Query parameters
order_idinteger · nullableOptional

Optionally scope suggestions to a specific order.

Example: 123456
Responses
200

Success response

application/json
website_typestring · enumOptional

Website type the suggested plugins are grouped by

Example: blogPossible values:
get/api/hosting/v1/wordpress/plugins/suggested
GET /api/hosting/v1/wordpress/plugins/suggested HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "website_type": "blog",
    "plugins": [
      {
        "slug": "akismet",
        "title": "Akismet Anti-Spam",
        "description": "Protect your site from spam.",
        "onboarding_description_slug": "akismet_onboarding_description",
        "recommended_description_slug": "akismet_recommended_description",
        "link": "https://wordpress.org/plugins/akismet/",
        "version": "5.3",
        "required_wordpress_version": "5.8",
        "required_php_version": "7.2",
        "is_preselected": true,
        "is_plan_upgrade_needed": false
      }
    ]
  }
]

Last updated

Was this helpful?